Get Transaction Detail
curl --request GET \
--url https://api.provider.fiskil.com/v1/banking/customer/{customerId}/accounts/{accountId}/transactions/{transactionId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.provider.fiskil.com/v1/banking/customer/{customerId}/accounts/{accountId}/transactions/{transactionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.provider.fiskil.com/v1/banking/customer/{customerId}/accounts/{accountId}/transactions/{transactionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"accountId": "7377538f-4d4b-4eb3-8377-cd40778836d2",
"transactionId": "dbbe9043-a440-4fbb-a3f3-cdd3bb9843b7",
"isDetailAvailable": true,
"type": "TRANSFER_OUTGOING",
"status": "POSTED",
"description": "Split pizza bill",
"postingDateTime": "2025-01-01T07:00:00.000Z",
"amount": "22.00",
"reference": "Split pizza bill",
"extendedData": {
"payee": "Best Mate",
"extensionUType": "nppPayload",
"nppPayload": {
"extendedDescription": "Split pizza bill",
"endToEndId": "1001",
"service": "x2p1",
"serviceVersion": "01"
}
}
}
}{
"errors": [
{
"code": "urn:au-cds:error:cds-all:Resource/Invalid",
"title": "Invalid transaction ID",
"detail": "Transaction with the given ID does not exist"
}
]
}Banking
Get Transaction Detail
Obtain detailed information on a transaction for a specific account
GET
/
v1
/
banking
/
customer
/
{customerId}
/
accounts
/
{accountId}
/
transactions
/
{transactionId}
Get Transaction Detail
Authorizations
The Fiskil Data Provider will include a self-signed JWT as a Bearer token in the Authorization header.
You should verify this JWT using the JWKS URL you can find for your Data Provider instance in the Fiskil Console. To verify the JWT you must:
- Verify the signature
- Ensure the token has not expired by checking the
expclaim - The
subandissclaims are your data provider subdomain - The
audclaim is the URI of the resource being requested (excluding any query parameters) - The
jtivalue is unique For further detail on security and authentication refer to our Authentication documentation
Path Parameters
Unique ID of a customer. This ID must not change for the lifecycle of the customer
ID of a specific account to obtain data for.
ID of the transaction obtained from a previous call to one of the other transaction end points
Response
Details of the requested transaction
Show child attributes
Show child attributes
Was this page helpful?